Subject: bug#71595: error message improvement: "only absolute run-paths are allowed"

From: Karl Berry <[email-masked]>
Date: Mon, 1 Jul 2024 16:19:54 -0600

I have applied the change on the development branch:
    https://git.savannah.gnu.org/cgit/libtool.git/commit/?h=development&id=33be3e965345ffeb49f22190243ea523c637a1bf

Thanks much.

    Let me know if you would like me to change it.

It's a minor point, but my suggested wording of 
  error: argument to -rpath is not absolute: libfoo.lo
feels even clearer to me, since it explains what libtool is parsing
(which is not what the user is intending).

Also, I didn't realize the error message occurred twice. Given that, I
think the best practice would be to make the two cases have different
wording, so that users/debuggers/maintainers can discern which is being
triggered. (I don't know what the second case is, so I don't have a
suggestion, sorry.)

    Okay, I will ask.

Thanks for that too. --all the best, karl.